Apache C++ Standard Library Reference Guide

## greater

Library: General utilities

    Does not inherit

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A binary function object that returns `true` if its first argument is greater than its second

### Synopsis

    #include <functional>

    namespace std {
      template <class T>
      struct greater;
    }

### Description

greater is a binary function object. Its `operator()` returns `true` if `x` is greater than `y`. You can pass a greater object to any algorithm that requires a binary function. For example, the `sort()` algorithm can accept a binary function as an alternate comparison object to sort a sequence. greater would be used in that algorithm in the following manner:

    vector<int> vec1;
    .
    .
    sort(vec1.begin(), vec1.end(),greater<int>());

After this call to `sort()`, `vec1` is sorted in descending order.

### Interface

    namespace std {
      template <class T>
      struct greater : binary_function<T, T, bool> {
        bool operator()(const T&, const T&) const;
      };
    }

### See Also

Function Objects

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.3